## START: Set by rpmautospec
## (rpmautospec version 0.3.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 4;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           pop-gtk-theme
Version:        5.4.5
Release:        %autorelease
Summary:        Pop GTK Theme
# Most files: GPLv3+
# Upstream Adwaita: LGPLv2
# SVG files: CC-BY-SA
License:        GPLv3+ and LGPLv2 and CC-BY-SA
URL:            https://github.com/pop-os/gtk-theme
Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  glib2-devel
BuildRequires:  meson
BuildRequires:  sassc


%description
The Pop theme for GTK.


# gtk2
%package -n pop-gtk2-theme
Summary:        Pop GTK 2 Theme
Requires:       gtk2
Requires:       gtk-murrine-engine
Supplements:    (pop-session and gtk2)

%description -n pop-gtk2-theme
%{summary}.

%files -n pop-gtk2-theme
%license COPYING COPYING.LGPL-2.1 LICENSE_CCBYSA
%dir %{_datadir}/themes/Pop
%{_datadir}/themes/Pop/gtk-2.0
%dir %{_datadir}/themes/Pop-dark
%{_datadir}/themes/Pop-dark/gtk-2.0


# gtk3
%package -n pop-gtk3-theme
Summary:        Pop GTK 3 Theme
Requires:       gnome-themes-extra
Supplements:    (pop-session and gtk3)

%description -n pop-gtk3-theme
%{summary}.

%files -n pop-gtk3-theme
%license COPYING COPYING.LGPL-2.1 LICENSE_CCBYSA
%dir %{_datadir}/themes/Pop
%{_datadir}/themes/Pop/gtk-3.0
%dir %{_datadir}/themes/Pop-dark
%{_datadir}/themes/Pop-dark/gtk-3.0


# gtk4
%package -n pop-gtk4-theme
Summary:        Pop GTK 4 Theme
Requires:       gnome-themes-extra
Supplements:    (pop-session and gtk4)

%description -n pop-gtk4-theme
%{summary}.

%files -n pop-gtk4-theme
%license COPYING COPYING.LGPL-2.1 LICENSE_CCBYSA
%dir %{_datadir}/themes/Pop
%{_datadir}/themes/Pop/gtk-4.0
%dir %{_datadir}/themes/Pop-dark
%{_datadir}/themes/Pop-dark/gtk-4.0


# shell
%package -n pop-gnome-shell-theme
Summary:        Pop GNOME Shell Theme
Requires:       gnome-shell

%description -n pop-gnome-shell-theme
%{summary}.

%files -n pop-gnome-shell-theme
%license COPYING COPYING.LGPL-2.1 LICENSE_CCBYSA
%{_datadir}/gnome-shell/theme/Pop
%{_datadir}/themes/Pop/gnome-shell
%{_datadir}/themes/Pop/index.theme
%{_datadir}/themes/Pop-dark/gnome-shell
%{_datadir}/themes/Pop-dark/index.theme


# sound
%package -n pop-sound-theme
Summary:        Pop sound theme
License:        CC-BY-SA

%description -n pop-sound-theme
%{summary}.

%files -n pop-sound-theme
%license LICENSE_CCBYSA
%{_datadir}/sounds/Pop


%prep
%autosetup -n gtk-theme-%{version}


%build
%meson -Dgnome-shell-gresource=true
%meson_build


%install
%meson_install


%changelog
* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 5.4.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 5.4.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 5.4.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sun Oct 24 2021 Carl George <carl@george.computer> - 5.4.5-1
- Latest upstream

* Fri Aug 13 2021 Carl George <carl@george.computer> - 5.3.3^1.11bcd41-1
- Initial package

* Wed Aug 11 2021 Tomas Hrcka <thrcka@redhat.com> - 2.2.3.0-6
- Revert "Orphaned for 6+ weeks"

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.2.3.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.2.3.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Fri Nov 03 2017 Allisson Azevedo <allisson@gmail.com> - 2.2.3.0-3
- Update BuildRequires

* Tue Oct 31 2017 Allisson Azevedo <allisson@gmail.com> - 2.2.3.0-2
- Fix autosetup

* Tue Oct 31 2017 Allisson Azevedo <allisson@gmail.com> - 2.2.3.0-1
- Bump 2.2.3.0 release

* Mon Oct 16 2017 Allisson Azevedo <allisson@gmail.com> - 2.1.2.1-1
- Bump 2.1.2.1 release

* Thu Sep 07 2017 Allisson Azevedo <allisson@gmail.com> - 2.0.7.0-1
- First import
